package com.bwie.auth.feign;

import com.bwie.auth.feign.impl.AuthFeignImpl;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value = "localhost:9002",fallbackFactory = AuthFeignImpl.class)
public interface AuthFeign {
    @GetMapping("user/findUserByName/{userName}")
    public Result<User> findUserByName(@PathVariable String userName);
}
