package com.bwie.Feign.impl;

import com.bwie.Feign.GoodsFeign;
import com.bwie.common.domain.User;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
@Log4j2
public class GoodFeignImpl implements FallbackFactory<GoodsFeign> {
    @Override
    public GoodsFeign create(Throwable cause) {
        return new GoodsFeign() {
            @Override
            public void send(User user) {
                log.info("熔断失败");
            }
        };
    }
}
